summaryrefslogtreecommitdiffstats
path: root/test/run.sh
diff options
context:
space:
mode:
authorAnastasios Grammenos <anastasios.grammenos@noris.gr>2021-04-05 15:53:13 +0300
committerAnastasios Grammenos <anastasios.grammenos@noris.gr>2021-04-05 15:53:13 +0300
commit60d890c9e9ba5d374c238647561ce23fa23bc431 (patch)
treeb7bdeaf1345acc74aaf63c01d5572c774c84c7de /test/run.sh
parentfa2a1b1e6d31f3b21e50ea5730a8fb5967d087e8 (diff)
downloadxlnch-master.tar.gz
xlnch-master.tar.bz2
xlnch-master.zip
Add some testsHEADmaster
Diffstat (limited to 'test/run.sh')
-rwxr-xr-xtest/run.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/test/run.sh b/test/run.sh
new file mode 100755
index 0000000..bc60ead
--- /dev/null
+++ b/test/run.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+XDOTOOL=$(which xdotool)
+
+if [ $? == 1 ]; then
+ XDOTOOL=:
+fi
+
+./xlnch <<EOF 2>/dev/null &
+
+# comment
+
+#^ blank line
+
+# wrong key
+aaa:description:command
+
+# no description
+b::command
+
+# no command
+c:no_command:
+
+# no `:`
+this is a wrong config line
+
+# special characters
+Ö × ĥ Ħ ﻰ ﻱ ! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 7 8 : ; < = > ? @ B C H IY Z [ \ ] ^ _ ` v w x y z { | } ~ 。 「 」 、 ・ ヲ ァ ィ ゥ ェタ チ ツ
+
+EOF
+PID=$!
+sleep .1
+$XDOTOOL key q
+wait $PID
+
+echo $?
+
+